package com.nostra13.universalimageloader.core;

/**
 * Created by wyl on 2017/3/24.
 * 网络连接参数
 */

public final class ConnectOptions {
    private final String referer;

    public String getReferer() {
        return referer;
    }

    public ConnectOptions(Builder builder) {
        referer = builder.referer;
    }

    public static class Builder {
        private String referer;

        public Builder() {
        }

        public Builder setReferer(String referer) {
            this.referer = referer;
            return this;
        }

        public ConnectOptions build() {
            return new ConnectOptions(this);
        }
    }

    public static ConnectOptions createSimple() {
        return new ConnectOptions.Builder().build();
    }
}
